Bug 714847 - [abrt] kernel: BUG: sleeping function called from invalid context at kernel/rwsem.c:21: TAINTED Warning Issued
[abrt] kernel: BUG: sleeping function called from invalid context at kernel/r...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:1e45edce5e9d1e5ac882da48fb5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-21 00:55 EDT by Avinash Reddy
Modified: 2011-08-17 22:33 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.40.3-0.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-01 21:59:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avinash Reddy 2011-06-21 00:55:51 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        ro root=UUID=64289c39-2ba2-4df4-8461-beff1e7da922 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
component:      kernel
kernel:         2.6.38.7-30.fc15.x86_64
kernel_tainted: 640
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         [405329.273252] BUG: sleeping function called from invalid context at kernel/rwsem.c:21
reported_to:    kerneloops: URL=http://submit.kerneloops.org/submitoops.php
time:           Tue Jun 21 10:25:26 2011

backtrace:
:[405329.273252] BUG: sleeping function called from invalid context at kernel/rwsem.c:21
:[405329.273255] in_atomic(): 0, irqs_disabled(): 1, pid: 27443, name: umount
:[405329.273259] Pid: 27443, comm: umount Tainted: G      D W   2.6.38.7-30.fc15.x86_64 #1
:[405329.273261] Call Trace:
:[405329.273268]  [<ffffffff81047d33>] __might_sleep+0xeb/0xf0
:[405329.273273]  [<ffffffff81474e46>] down_read+0x21/0x38
:[405329.273278]  [<ffffffff8108beb5>] acct_collect+0x4a/0x182
:[405329.273282]  [<ffffffff81058633>] do_exit+0x216/0x732
:[405329.273286]  [<ffffffff814757e4>] ? _raw_spin_unlock_irqrestore+0x17/0x19
:[405329.273290]  [<ffffffff81476ace>] oops_end+0xbc/0xc5
:[405329.273295]  [<ffffffff8146c00d>] no_context+0x203/0x212
:[405329.273299]  [<ffffffff8146c1b0>] __bad_area_nosemaphore+0x194/0x1b7
:[405329.273303]  [<ffffffff8146b89e>] ? pte_offset_kernel+0x19/0x3f
:[405329.273307]  [<ffffffff8146c1e6>] bad_area_nosemaphore+0x13/0x15
:[405329.273311]  [<ffffffff81478b9d>] do_page_fault+0x1c5/0x37a
:[405329.273316]  [<ffffffff8111a223>] ? signal_pending+0x17/0x21
:[405329.273320]  [<ffffffff8111c926>] ? __mem_cgroup_try_charge+0x111/0x480
:[405329.273324]  [<ffffffff810edc51>] ? zone_statistics+0x65/0x6a
:[405329.273328]  [<ffffffff8111b52a>] ? __mem_cgroup_commit_charge+0x91/0x9a
:[405329.273332]  [<ffffffff81475fd5>] page_fault+0x25/0x30
:[405329.273337]  [<ffffffff812115cd>] ? elv_set_request+0x1b/0x2c
:[405329.273341]  [<ffffffff81215e6e>] get_request+0x1b8/0x262
:[405329.273345]  [<ffffffff812168b1>] get_request_wait+0x35/0x193
:[405329.273349]  [<ffffffff81478d16>] ? do_page_fault+0x33e/0x37a
:[405329.273353]  [<ffffffff810b07c4>] ? __call_rcu+0x123/0x12c
:[405329.273357]  [<ffffffff81216a4e>] blk_get_request+0x3f/0x6e
:[405329.273361]  [<ffffffff812fc981>] scsi_execute+0x41/0x146
:[405329.273364]  [<ffffffff812fcb22>] scsi_execute_req+0x9c/0xce
:[405329.273368]  [<ffffffff812f8bbc>] ioctl_internal_command.constprop.1+0x6b/0x163
:[405329.273372]  [<ffffffff812f8d0d>] scsi_set_medium_removal+0x59/0x94
:[405329.273376]  [<ffffffff8130b329>] sr_lock_door+0x20/0x22
:[405329.273380]  [<ffffffff8132c579>] cdrom_release+0x195/0x205
:[405329.273383]  [<ffffffff8108062c>] ? smp_call_function_many+0xec/0x1dc
:[405329.273388]  [<ffffffff8104127e>] ? should_resched+0xe/0x2d
:[405329.273391]  [<ffffffff81474228>] ? _cond_resched+0xe/0x22
:[405329.273395]  [<ffffffff8130a2bd>] sr_block_release+0x30/0x4d
:[405329.273399]  [<ffffffff81149c22>] __blkdev_put+0xc6/0x179
:[405329.273402]  [<ffffffff81149dd9>] blkdev_put+0x104/0x10c
:[405329.273406]  [<ffffffff811230e5>] kill_block_super+0x65/0x6a
:[405329.273411]  [<ffffffff81123321>] deactivate_locked_super+0x26/0x4b
:[405329.273415]  [<ffffffff81123e8a>] deactivate_super+0x37/0x3b
:[405329.273418]  [<ffffffff811387bc>] mntput_no_expire+0xcc/0xd1
:[405329.273422]  [<ffffffff811391f3>] sys_umount+0x2ac/0x2da
:[405329.273426]  [<ffffffff81009bc2>] system_call_fastpath+0x16/0x1b

event_log:
:2011-06-21-10:25:44> Submitting oops report to http://submit.kerneloops.org/submitoops.php
:2011-06-21-10:25:46  Kernel oops report was uploaded
Comment 1 Dave Jones 2011-07-29 11:54:44 EDT
This bug should be fixed with 2.6.40-3 and higher (available in updates-testing. Please try that kernel, and leave feedback.

Thanks.
Comment 2 Fedora Update System 2011-07-29 12:01:09 EDT
kernel-2.6.40-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-3.fc15
Comment 3 Fedora Update System 2011-07-29 16:40:18 EDT
kernel-2.6.40-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
Comment 4 Fedora Update System 2011-07-30 23:33:27 EDT
Package kernel-2.6.40-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40-4.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-08-01 21:58:05 EDT
kernel-2.6.40-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-08-16 08:48:19 EDT
kernel-2.6.40.3-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.3-0.fc15
Comment 7 Fedora Update System 2011-08-17 22:31:09 EDT
kernel-2.6.40.3-0.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.